Debian 5 Lenny (дупло битније)

Кад сам пре четири године полетео за новим трендом и покушао да напустим Slackware у корист Ubuntu првенца, поколебао сам се већ након месец дана. Коју годину касније, кад је слек упорно заобилазио кернел 2.6, замених га Федором у издању 6. Користио сам је и надограђивао све до верзије 8, а онда је прошле године Федора 9 донела [W:KDE] 4 као подразумевано КДЕ издање. Помислих (наивно) да ће следећа верзија да врати као опцију КДЕ3, али сам погрешио; иста пракса се наставила и са верзијом 10, а ево ускоро и 11 излази из алфе. У жељи да користим и КДЕ3 и Федору, прошле су две године и подршка за осмицу је обустављена — нема више освежења за вукодлака.

Од неколико могућих решења изабрао сам ово најсвежије — Debian 5.0 Lenny, и то у дупло битнијем паковању — amd64 (x86_64). Довукох ДВД слику почетком прошле недеље, нарезах је на диск и сачеках овај викенд.

Први кораци

Није да ми је први пут да инсталирам Дебиан, али сам први пут инсталирао за себе (фотке тока инсталације можете погледати овде). Обрадовало ме то што је графички инсталер локализован на српски језик и поруке су ћириличне. Корак партиционисања диска, одн. избора партиције за инсталацију система се делимично разликује од онога на Федори и Убунту, па сам се мало вртео у круг док нисам сконтао како треба изабрати ставку за прелазак на следећи корак — форматирање партиције, уместо смао кликнути на дугме за наставак инсталације.

Инсталација је прошла без трзавица. Једино што ми се није свидело је што сам се негде зезнуо па је уместо жељеног КДЕ3 подразумевано радно окружење било Гном, али сам то одмах по инсталацији исправио.

Бубице

Додао сам мени неопходан сет програма пратећи Миланово упутство, и ту наишао на први проблем. Наиме, по додавању ризнице за мултимедију и оперу, aptitude је одбијао да ажурира базу пакета због непознатих кључева:
W: GPG error: http://www.debian-multimedia.org lenny Release: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY 07DC563D1F41B907
W: GPG error: http://deb.opera.com testing Release: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY 033431536A423791
W: You may want to run apt-get update to correct these problems

Но, решење је било на клик удаљено од Гугла:
aptitude install debian-multimedia-keyring
gpg --keyserver hkp://wwwkeys.eu.pgp.net --recv-keys 033431536A423791
gpg --armor --export 033431536A423791 | apt-key add -

После рестарта нема kwin-а

Као и многи други, и ја сам приметио да КДЕ3 не памти покренуте програме на Дебиану 5, а при покретању не активира ни kwin. Чини ми се да сам овај проблем са непокретањем kwin-а решио овако: Контролни центар → KDE компоненте → Менаџер сесија → По пријављивању → Поврати претходно снимљену сесију.

Где су ћирилична слова у називима датотека?

Овај проблем је решен, па је био ред решити следећи. Иако сам додао локализацију на српски за КДЕ, и изабрао српски језик како подразумеван, у КДЕу су у називима датотека уместо ћириличних слова за већ постојеће датотеке биле исписиване куке и кваке, а новонаправљене датотеке би уместо текста добиле низ упитника уместо ћириличних слова. Ово сам решио додавањем локалитета у датотеку /etc/environment:
LANG="sr_RS.UTF-8"
LC_IDENTIFICATION="sr_RS.UTF-8"
LC_CTYPE="sr_RS.UTF-8"
LC_COLLATE="sr_RS.UTF-8"
LC_MONETARY="sr_RS.UTF-8"
LC_NUMERIC="sr_RS.UTF-8"
LC_TIME="sr_RS.UTF-8"
LC_MESSAGES="sr_RS.UTF-8"
LC_PAPER="sr_RS.UTF-8"
LC_NAME="sr_RS.UTF-8"
LC_ADDRESS="sr_RS.UTF-8"
LC_TELEPHONE="sr_RS.UTF-8"
LC_MEASUREMENT="sr_RS.UTF-8"

Ради сигурности да изабрани локалитети постоје на систему, треба покренути реконфигурисање локалитета изабором ставке sr_RS.UTF-8 у дијалогу конфигуратора који се добија наредбом
dpkg-reconfigure locales

Мој распоред тастатуре

Пошто сам навикао на прилагођени распоред карактера за моју тастатуру, заменио сам подразумевани каталог распореда мојим прилагођеним /usr/share/X11/xkb/symbols/rs. Поменута прилагођена датотека налази се овде: [download#7]

Skype на 64 бита

Инсталација Skype-а на 64битни Лени може да се поједностави од уобичајеног начина инсталације тако што се инсталира припремљени пакет за Убунту у коме су исправљене референце за међузависности. Дакле, није спаковани 64битни Скајп, већ је он и даље 32битни, само је инсталација културнија. Информацију сам нашао овде.

Треба преузети пакет са http://www.skype.com/go/getskype-linux-ubuntu-amd64 и инсталирати га командом
sudo dpkg -i skype_ubuntu-2.0.0.72-1_amd64.deb

У случају да се појави грешка типа
skype: error while loading shared libraries: libQtDBus.so.4: cannot open shared object file: No such file or directory
решење је, невероватно али истинито, у команди
sudo aptitude install ia32-libs-gtk

Веб камера Logitech QuickCam Chat

Моја веб камерица користи gspca драјвер и за инсталацију овог сокоћала употребио сам module-assistant.
sudo m-a update
sudo m-a prepare
sudo m-a a-i gspca
sudo modprobe gspca compress=1

Штампач Canon i-SENSYS LBP-3010

Чувени, недавно купљени, Кењон штампач по процедури за инсталацију 32битних пакета није прорадио. Наиме, инсталација прође глатко, додавање штампача у [W:CUPS] прође глатко, све то ради како се очекује, осим што ништа не излази из штампача а у ipp статусу стоји грешка:
pstocapt3 write error,32.

Копао по нету, гуглао по свету, проблем решио нисам. Куд ћу, шта ћу, компајлирај своје, дупло битније пакете. Могу се преузети одавде: [download#5] и [download#6]

А инсталација је уобичајена (скоро иста као и за Федору):
sudo aptitude install libstdc++5 libcupsys2 ia32-libs lib32gcc1 lib32z1
sudo dpkg -i cndrvcups-common_1.80-2_amd64.deb
sudo dpkg -i cndrvcups-capt_1.80-2_amd64.deb

Следи рестартовање CUPS сервера и додавање новог штампача
sudo /etc/init.d/cups restart
sudo /usr/sbin/lpadmin -p LBP3010 -m CNCUPSLBP3050CAPTK.ppd -v ccp:/var/ccpd/fifo0 -E
sudo /usr/sbin/ccpdadmin -p LBP3010 -o /dev/usb/lp0

након чега би требало да се добије извештај о новододатом штампачу у CUPS:

 CUPS_ConfigPath = /etc/cups/
 LOG Path        = None
 UI Port         = 59787

 Entry Num  : Spooler   : Backend    : FIFO path         : Device Path   : Status
 ----------------------------------------------------------------------------
     [0]    : LBP3010   : ccp        : /var/ccpd/fifo0   : /dev/usb/lp0  : New!!

Након овога остаје да се покрене сервис ccpd како би штампач одмах био доступан, као и да се активира покретање овог сервиса приликом покретања система:

sudo /etc/init.d/ccpd start
sudo update-rc.d ccpd defaults 20

Ситна цревца

Како бих изглед прилагодио навикама, додао сам теме за Polyester, Baghira, QtCurve, и иконице Crystal Project па мој свеже инсталирани Debian 5.0 Lenny (који то више није јер сам га већ освежио testing пакетићима ;) ) изгледа овако:

Debian 5.0 Lenny + KDE3

Debian 5.0 Lenny + KDE3

За урадити

Остало је још да наштелујем фонтове јер су ми ови овакви „танки“ (а нисам навикао на такве), да мигрирам све податке са Федоре, поставим и подесим веб развојно окружење, додам и нови локализовани ОпенОфис.орг, и то би било све… за сада… ваљда? :)

23 responses to Debian 5 Lenny (дупло битније)

Izgled fontova ces srediti tako sto ces kao root kucati:

dpkg-reconfigure fontconfig-config

Izaberi Authint,ukljuci subpixel hinting po potrebi i disable-uj bitmap fontove
Restartuj X server i fontovi bi trebalo da izgledaju znatno lepse

Nije zagored da napravis /etc/fonts/local.conf i u njega dodas sledece:

             medium
             false

Pitaj slobodno ako ti nije nesto jasno-doktorirao sam ja Debian ;)

@mladenius: Да, да, тај dpkg-reconfigure fontconfig-config је решио ствар, с тим да нисам искључио битмапиране фонтове јер ми требају (за гкрелм, рецимо) ;) Ал’ хвала за скретање пажње на аутохинтер.

@Ivan Jelic: Ко још данас чита упутства ;) А овај кде4, за који месец, не журим још ;)

@Miloš: Никад се не зна, шта рије ноћ а шта дан ;)

@Janoš: Хвала.

@Karolina: Сид…а? :) Изгледа да ћу због гимпа 3.6 морати и Сид да терам… тко зна :|

@GoranSTX: Ма само сам се једном захебао кад сам ишао за трендом – Убунту 4.04. Више, јок. Нека га тај ваш Арч, само нек се qрчи по селу, меени доста и ово :P

Elem ne znam kako da koristim code/quote ovde pa mi iznad prikazalo ono bezveze quotovano
Mislim da kapiras sta treba da se doda u local.conf i valjda si se snasao :)
A sto se tice Arch-a
Do not underestimate the power of the dark side! :)

@mladenius: Требао си да користиш <pre>неки кôд</pre> да би кôд био очуван. Ал’, ај сад :)

Ево, баш сад наместих и anyRemote (онај који долази уз Ленија не ваља – матора верзија, па сам направио свеже пакетиће… к’о некад на слеку :D )

Ja sam pred jedno godinu i pol prešao sa Fedore 7 na openSUSE 10.3 (sad trošim predzadnji 11.0 s kojim sam vrlo zadovoljan) i nikad nisam požalio prelaska. Razloga zašto baš openSUSE ima više, ali jedan od važnijih mi je upravo to što je sam po sebi ima više toga zajedničkoga sa Fedorom no što to imaju Debianolike distre, npr. rpm paketni mehanizam. Za razliku od većine openSUSE korisnika ja trošim GNOME, a koliko vidim upravo na zahtjev korisnika će KDE još dosta dugo vremena biti jedna od ponuđenih opcija.

Osim openSUSE i Debiana, zgodna opcija ti je mogla biti i CentOS u kombinaciji sa CentOS Plus i RPMForge repozitorijima; ali kad si već stavio Debian s kojim si manje-više zadovoljan, onda nema smisla raditi nove migracije. Sve u svemu, važno da te tvoj Debiančić dobro služi :)

srećno korišćenje novoga sistema, želimo vi’ uz pesmu: ‘Vrati se, Fedori, vrati’… da ve’ lepo i dugo služi… k’o što mene služi XP-x64 za razliku od šunjave viste.

A mogao si lepo da koristiš Xfce ;)
Dobro, bez zezanja, samo Debian 5.0 nije stabilan koliko ja znam, jeli tako? Ali shodno Fedori koja je uvek „najsvežija“ i nije tako loše.
Ja sam se zakucao na Ubuntu 8.04/LTS sa podrškom do 2012 i… baš je dobro podržan i tako…
Mislim, ne treba ceniti distribucije po prvim izdanjima u poznatom svemiru (kao taj famozni 4.04). Stvari se stalno menjaju al meni se definitivno sviđa što si izabrao Debian, jer sam ga uvek smatrao za rezervnu varijantu u odnosu na Ubuntu. (Jedino mi se ne sviđaju one ispravke oko izgleda okruženja itd.)
Malo mi je malo bez veze razlog odustajanja od fedore 11 zbog nepostojanja KDE3. Možda si mogao da napraviš te starije pakete za KDE3 na Fedori11 i nastaviš samo dalje.
…Ili da koristiš Xfce, kao sav normalan svet :)

@Igor: Пробао сам CentOS, али је превише server-stable оријентисан, бар онако на први поглед. У суштини, хтео сам да пробам и трећи начин управљања пакетима (tgz → rpm → deb), а биће времена и за остале :)

@petrović ivan: Можда, ко зна :) Време ће показати своје ;)

@fatboyslim: Бежи бр Јозо, не хули ми по блогу :P Хвала ;)

@nikolam: Лоше знаш за стабилност :) Дебиан 5.0 Лени је стабилан, squeeze је тестинг (ал’ баратам информацијама, а? :D ). Убунту ми је постао омрзнути дистро због његових корисника и што га свака шуша користи и препоручује као ултимативно решење, а у ствари није ништа специјално, само агресивна реклама. Да не кењам превише, али више волим изворне ствари од изведених, када је ОС у игри.
Иначе сам користио и XFCE и то је одлично радно окружење за незахтевне кориснике. А ја сам незасити корисник који тражи спејс шатл од окружења, што тренутно може да задовољи само КДЕ3 ;)

Па јесте, зато сам ја на Xubuntu, и хлеба (подршка) и нема смарања (маса корисника) ;)
Видео сам сад за Дебиан 5 да је изашао, ооодлично ;)

Истина је да ја никада нисам могао да смислим Гном, посебно не
у браон Убунту издању (бљак) ал пошто проводим много времена са GTK програмима, сад ми Kde делује чудно, мада је он у ствари на први поглед увек природнији и тако. Све у свему, Пре бих користио Kde него Гном, da nema Xfce. Ал ме живо занима како видиш предност свог KDE у односу на Гном јер ја оба окружења видим кроз призму релативне нефлексибилности у односу на Xfce и тако.(вероватно нисам у праву али тако то видим са подразумеваним окружењем)
Или имаш већ неки чланак на тему „КДЕ спејс шатл“? ;))

Jako hvale i Conary package manager, čak podržava i rollback što recimo dpkg ne podržava, ali nisam ga nikad isprobao pa to ne mogu potvrditi. Ali kako si ti novinar i kažeš da se voliš igrati sa paketnim mehanizmima, možda ne bi bilo loše da isprobaš i napišeš članak za SK ili Zapise ;)

Е какви сте другари хакери, ја бих вама рекао за овакву ствар да сам знао, а ви мени нисте :( → Apt-Pinning, и перверзије могу да почну! :D

@nikolam: Па не знам како да ти објасним, али ми је на КДЕ3 некако све на руку, клик или два далеко. На КДЕ4 је још ближе јер има оно сокоћало налик на „катапулт“, али само још мало подесивости визуелног окружења, и да се помирим са тим да више нема класичне радне површине са иконицама (навикао да свашта нешто трпам на радну површину па касније распоређујем по директоријумима или бришем). XFCE чин ими се да нема такву радну површину (или је у међувремену добио?), а Гном је некако… најблаже речено дође ми у односу на КДЕ „уштогљен“ као британац у односу на европљанина :)

@Igor: Ух, сад кад сам извалио apt-pinning са sid-ом, тешко да ћу скорије пробавати неки други пакет менаџмент :) У сваком случају, уљези морају умрети! ;)

Mene Debian malo nervira jer baš voli stabilne (čitaj: matore) pakete (aka programe). Dugo sam bio fan Mandrive (nekad Mandrake-a) no reših da pređem na nešto ozbiljnije, pa sam se poigrao sa Deb-om i Arch-om, no na kraju se ipak stacionirah na Fedori (i željno očekujem 11icu, upravo zbog KDE-a, ali ne trojke, već ispeglane četvorke).
A da, od duplo bitnije verzije sam takođe odustao jer je znala da stvara bubice mnogo češće od uobičajne, tako da planiram još neko vreme da se vrzmam po x86 registrima…

„…i da se pomirim sa tim da više nema klasične radne površine sa ikonicama (navikao da svašta nešto trpam na radnu površinu pa kasnije raspoređujem…“

Na KDE 4.2 možeš tvoje navike mogu da funkcionišu.

Leave a Reply